Bug 1663273 - Interfaces name get replacement '-' to '_' and fail at 'VM CONFIGURATION'
Summary: Interfaces name get replacement '-' to '_' and fail at 'VM CONFIGURATION'
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: Network
Version: 2.2.24
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.3.2
: ---
Assignee: Simone Tiraboschi
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-03 15:52 UTC by Arano-kai
Modified: 2019-02-27 08:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-27 08:50:54 UTC
oVirt Team: Integration
rule-engine: ovirt-4.3+


Attachments (Terms of Use)
patch for `get_network_interfaces.yml` and logs from different runs (116.56 KB, application/gzip)
2019-01-03 15:52 UTC, Arano-kai
no flags Details

Description Arano-kai 2019-01-03 15:52:58 UTC
Created attachment 1518159 [details]
patch for `get_network_interfaces.yml` and logs from different runs

Description of problem:
Interfaces like 'vlan-4' will detected as 'vlan_4' at 'HOST NETWORK CONFIGURATION' stage and fail with "Failed to execute stage 'Environment customization': Command '/sbin/ip' failed to execute" at 'VM CONFIGURATION' stage.

Version-Release number of selected component (if applicable):
ovirt-hosted-engine-setup-2.2.32-1.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create some vlan with '-' in name (ex.: "vlan-4").
2. Run 'hosted-engine --deploy' up to 'HOST NETWORK CONFIGURATION' stage.
3. Make sure that created interface get replacement from '-' to '_' in that name (ex.: "vlan_4").
4. Try to use correct name (ex.: "vlan-4") and fail to do so.
5. Use proposed name and get fail at 'VM CONFIGURATION' stage.

Actual results:
[ ERROR ] Failed to execute stage 'Environment customization': Command '/sbin/ip' failed to execute

Expected results:
Proceed to the next stage

Additional info:
Problem is in 'ovirt-hosted-engine-setup/ansible/get_network_interfaces.yml', which replaces '-' to '_' to get valid var name.
Patch to address this issue in attachment, but this fixup raise another problem: "[ ERROR ] Failed to execute stage 'Environment customization': Cannot acquire nic/bridge address" in 'VM CONFIGURATION'.
Traces lead me to 'ovirt-hosted-engine-setup/plugins/gr-he-common/vm/cloud_init.py' (line 118-144) that I can't debug further.
Trace get by `strace -fe trace=process hosted-engine --deploy`.
Interface names in trace: vl-23, vl-24, lacp1
Attached archive content:
  get_network_interfaces.yml.patch
  trace.log - trace from current run, POI at 1188
  trace_patched.log - trace after patch applied, POI at 1201
  ovirt-hosted-engine-setup_logs - setup logs from current run
  ovirt-hosted-engine-setup_logs_patched - setup logs after patch applied

Comment 1 Sandro Bonazzola 2019-02-18 07:55:02 UTC
Moving to 4.3.2 not being identified as blocker for 4.3.1.

Comment 2 Sandro Bonazzola 2019-02-27 08:50:54 UTC
We can only work with vlan.number so there's not much we can do for working on vlan with this naming schema. Closing cantfix.


Note You need to log in before you can comment on or make changes to this bug.